<?php
// Homepage footer menu block

namespace Drupal\site\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\file_url_generatorservice;

/**
 * Provides a block with a simple text.
 *
 * @Block(
 *   id = "home_footer_block",
 *   admin_label = @Translation("EN9 home page footer block"),
 *   category = @Translation("electronovelty"),
 * )
 */
class Home_footer_Block extends BlockBase {
  /**
   * {@inheritdoc}
   */
  public function build() {
    // get variables
    $renderable = [
      '#theme'    => 'home_footer_block',
      '#copyright_text' => 'Copyright &copy; ' . date('Y') . ' Electronovelty',
      '#drupal_text' => 'Created in Drupal 9',
    ];

    return $renderable;
  }

  /**
   * {@inheritdoc}
   */
  protected function blockAccess(AccountInterface $account) {
    return AccessResult::allowedIfHasPermission($account, 'access content');
  }
}

